# Class WsSubscriber

Namespace
  adas_core.Application.Subscriptions

Assembly
  adas-core.Application.dll

Represents a WebSocket subscriber identified by a unique string identifier.

    public class WsSubscriber

Inheritance
  object
  WsSubscriber

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### WsSubscriber(string)

Represents a WebSocket subscriber identified by a unique string identifier.

    public WsSubscriber(string id)

#### Parameters

`id` string

## Fields

### UserName

    public string? UserName

#### Field Value

string

## Properties

### Box

    public string? Box { get; set; }

#### Property Value

string

### DisplayId

    public ObjectId? DisplayId { get; set; }

#### Property Value

ObjectId?

### GroupedFields

    public List<GroupedField>? GroupedFields { get; set; }

#### Property Value

List<GroupedField>

### Id

    public string Id { get; set; }

#### Property Value

string

### Locale

    public LocaleEnum? Locale { get; set; }

#### Property Value

LocaleEnum?

### LocationIds

    public List<ObjectId> LocationIds { get; set; }

#### Property Value

List<ObjectId>

### Locations

    public List<PatientLocation> Locations { get; set; }

#### Property Value

List<PatientLocation>

### Section

    public string? Section { get; set; }

#### Property Value

string

### SubscriptionType

    public SubscriptionEnum.WsType? SubscriptionType { get; set; }

#### Property Value

SubscriptionEnum.WsType?

### Version

    public string? Version { get; set; }

#### Property Value

string